<script setup lang="ts">
import * as $api from "@/api/auth/index";
import { onMounted, ref } from "vue";
import Bind from "@/views/welcome/bind.vue";
const bindRef = ref();
defineOptions({
  name: "Welcome"
});
onMounted(() => {
  $api.hasGoogleOtp().then((res: any) => {
    if (!res.result) {
      bindRef.value!.open({}, {}, "add");
    }
  });
});
</script>

<template>
  <div>
    <div class="max-w-full">
      <el-card style="width: 480px; border-radius: 8px" shadow="hover"
        >Always</el-card
      >
    </div>
    <bind ref="bindRef" />
  </div>
</template>

<style scoped>
.grid-content {
  border-radius: 4px;
  min-height: 130px;
}

.ep-bg-purple {
  background: #fff;
}
</style>
